Skip to main content
Free IP API home

Languages

This API is only available to UNLIMITED plan

This will return the countries that use the given language code

Select the server you want to use here

JSON:

GET /api/languages/{code}

Example:

/api/languages/de

Response

For a successful request, you will receive a 200 OK response with the following JSON structure:

JSON:

{
  "code": "de",
  "total_countries": 6,
  "countries": [
    {
      "code": "AT",
      "name": "Austria",
      "native": "Österreich",
      "capital": "Vienna",
      "continent": "EU"
    },
    {
      "code": "BE",
      "name": "Belgium",
      "native": "België",
      "capital": "Brussels",
      "continent": "EU"
    },
    {
      "code": "CH",
      "name": "Switzerland",
      "native": "Schweiz",
      "capital": "Bern",
      "continent": "EU"
    },
    {
      "code": "DE",
      "name": "Germany",
      "native": "Deutschland",
      "capital": "Berlin",
      "continent": "EU"
    },
    {
      "code": "LI",
      "name": "Liechtenstein",
      "native": "Liechtenstein",
      "capital": "Vaduz",
      "continent": "EU"
    },
    {
      "code": "LU",
      "name": "Luxembourg",
      "native": "Luxembourg",
      "capital": "Luxembourg",
      "continent": "EU"
    }
  ]
}